'------------------------------------------------------
'  Name     : croco-switch.bas                        
'  Compiler : PicBasic Pro - MicroEngineering Labs
'  Notes    : Program to test the leg limit switches
'------------------------------------------------------

' PortA set as outputs. pins 0 and 1 inputs
trisa = %00000011

' PortB set as outputs. pin 1 input.   
trisb = %00000001   

'------------------------------------------------------
' initialize variables

include "modedefs.bas"

limit_left       VAR PORTA.0
limit_right      VAR PORTA.1
piezo            VAR PORTA.3

SOUND PIEZO,[115,10,50,10]

start:

If limit_left = 1 then
   SOUND PIEZO,[100,10]
   pause 20
endif

If limit_right = 1 then
   SOUND PIEZO,[80,20]
   pause 40
   SOUND PIEZO,[110,20]
   pause 40
endif

goto start

end

